unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TMAinForm = class(TForm)
    Demos: TRadioGroup;
    BitBtn1: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MAinForm: TMAinForm;

implementation

uses Akvaryum, List, MasterDetail, DBGridDemo, GridDemo, ChartDemo;

{$R *.DFM}

procedure TMAinForm.BitBtn1Click(Sender: TObject);
Var
  Frm: TForm;
begin
  Try
    case Demos.ItemIndex Of
      0: Frm:= TAkvaryumForm.Create(Application);
      1: Frm:= TListForm.Create(Application);
      2: Frm:= TMasterDetailForm.Create(Application);
      3: Frm:= TGridForm.Create(Application);
      4: Frm:= TDBGridForm.Create(Application);
      5: Frm:= TChartForm.Create(Application);
    End;
    Frm.ShowModal;
  finally
    Frm.Free;
  End;
end;

end.
