unit List;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TurboReport, Db, DBTables, DBCtrls, StdCtrls, ExtCtrls, Buttons;

type
  TListForm = class(TForm)
    Panel1: TPanel;
    Rpt: TTurboReportView;
    TurboReport1: TTurboReport;
    TurboBand1: TTurboBand;
    Label7: TLabel;
    TurboBand2: TTurboBand;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    TurboBand3: TTurboBand;
    DBText1: TDBText;
    DBText2: TDBText;
    DBText3: TDBText;
    DBText4: TDBText;
    DBText5: TDBText;
    Customer: TTable;
    CustomerDS: TDataSource;
    TurboNavigator1: TTurboNavigator;
    SpeedButton1: TSpeedButton;
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ListForm: TListForm;

implementation

uses Cikti;

{$R *.DFM}

procedure TListForm.SpeedButton1Click(Sender: TObject);
Var
  S: String;
begin
  Try
    S:= Rpt.ReportDirectory;
    if S = '' Then S:= 'C:';
    if S[Length(S)] = '\' Then System.Delete(S, Length(S), 1);
    if Rpt.ReportName <> '' Then
      S:= S + '\' + Rpt.ReportName
    else S:= S + '\Turbo Report';
    CiktiForm:= TCiktiForm.Create(Application);
    Rpt.GenerateText(CiktiForm.Memo1.Lines, False);
    CiktiForm.FNAme:= S;
    CiktiForm.ShowModal;
  Finally
    CiktiForm.Free;
  End;
end;

procedure TListForm.FormShow(Sender: TObject);
begin
 Rpt.Generate;
end;

end.
