unit MasterDetail;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, StdCtrls, TurboReport, ExtCtrls, Db, DBTables, Buttons;

type
  TMasterDetailForm = class(TForm)
    Orders: TTable;
    Customer: TTable;
    CustomerDS: TDataSource;
    Panel1: TPanel;
    TurboNavigator1: TTurboNavigator;
    Rpt: TTurboReportView;
    TurboReport1: TTurboReport;
    TurboBand1: TTurboBand;
    Label7: TLabel;
    TurboBand2: TTurboBand;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    TurboBand3: TTurboBand;
    DBText1: TDBText;
    DBText2: TDBText;
    DBText3: TDBText;
    DBText4: TDBText;
    DBText5: TDBText;
    TurboBand4: TTurboBand;
    Label1: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    TurboBand5: TTurboBand;
    OrdersSource: TDataSource;
    DBText6: TDBText;
    DBText7: TDBText;
    DBText8: TDBText;
    Shape1: TShape;
    OrdersOrderNo: TFloatField;
    OrdersSaleDate: TDateTimeField;
    OrdersAmountPaid: TCurrencyField;
    OrdersCustNo: TFloatField;
    SpeedButton1: TSpeedButton;
    procedure FormShow(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MasterDetailForm: TMasterDetailForm;

implementation

uses Cikti;

{$R *.DFM}

procedure TMasterDetailForm.FormShow(Sender: TObject);
begin
  Rpt.Generate;
end;

procedure TMasterDetailForm.SpeedButton1Click(Sender: TObject);
Var
  S: String;
begin
  Try
    S:= Rpt.ReportDirectory;
    if S = '' Then S:= 'C:';
    if S[Length(S)] = '\' Then System.Delete(S, Length(S), 1);
    if Rpt.ReportName <> '' Then
      S:= S + '\' + Rpt.ReportName
    else S:= S + '\Turbo Report';
    CiktiForm:= TCiktiForm.Create(Application);
    Rpt.GenerateText(CiktiForm.Memo1.Lines, False);
    CiktiForm.FNAme:= S;
    CiktiForm.ShowModal;
  Finally
    CiktiForm.Free;
  End;
End;
  
end.
